petsc-3.6.2 2015-10-02
Report Typos and Errors

# SNESMonitorCancel

Clears all the monitor functions for a SNES object.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESMonitorCancel(SNES snes)

Logically Collective on SNES

### Input Parameters

snes -the SNES context

### Options Database Key

-snes_monitor_cancel -cancels all monitors that have been hardwired into a code by calls to SNESMonitorSet(), but does not cancel those set via the options database

### Notes

There is no way to clear one specific monitor from a SNES object.

### Keywords

SNES, nonlinear, set, monitor

### See Also

SNESMonitorDefault(), SNESMonitorSet()

Level:intermediate
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages